=== debian/changelog ===
avro-c (1.8.2-1) unstable; urgency=medium

  * Initial release (Closes: #870571)
  * debian/upstream/signing-key.asc: Import from upstream keyring
    https://www-us.apache.org/dist/avro/KEYS
  * src/avro-c.pc.in: Avoid adding useless -L, -I flags to Libs/Cflags
  * src/avro-c.pc.in: Remove "Requires" keyword
  * src/CMakeLists.txt: Install to correct library directory
  * src/CMakeLists.txt: Link utilities against avro-shared, not avro-
    static
  * CMakeLists.txt, src/CMakeLists.txt: Correctly set VERSION, SOVERSION
  * debian/rules: Add --no-parallel to dh_auto_test

 -- Robert Edmonds <edmonds@debian.org>  Sat, 02 Sep 2017 18:55:41 -0400
