=== debian/changelog ===
avro-c (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * debian/control: Update Vcs-Git, Vcs-Browser to salsa.debian.org URLs
  * debian/control: Bump Standards-Version to 4.3.0 (no changes)
  * debian/control: Use HTTPS URL for Homepage
  * debian/watch: Use HTTPS for watch URL
  * debian/docs: Include top-level "NOTICE" file

 -- Robert Edmonds <edmonds@debian.org>  Fri, 28 Jun 2019 18:42:56 -0400
