=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  libsnappy-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.3.0
 Section: devel
-Homepage: http://avro.apache.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/avro-c.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/avro-c.git
+Homepage: https://avro.apache.org
+Vcs-Git: https://salsa.debian.org/edmonds/avro-c.git
+Vcs-Browser: https://salsa.debian.org/edmonds/avro-c
 
 Package: libavro-dev
 Section: libdevel
