=== debian/watch ===
version=4
opts="pgpmode=auto" https://www-us.apache.org/dist/avro/stable/c/ avro-c-(.+)\.tar\.gz
