=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # "License"); you may not use this file except in compliance
 # with the License.  You may obtain a copy of the License at
 #
-#   http://www.apache.org/licenses/LICENSE-2.0
+#   https://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing,
 # software distributed under the License is distributed on an
@@ -48,6 +48,6 @@
         add_custom_target(docs DEPENDS "${_html_out}")
     endforeach(_file)
 else(ASCIIDOC_EXECUTABLE AND SOURCE_HIGHLIGHT_EXECUTABLE)
-    message(WARNING "asciidoc not found. HTML documentation will *NOT* be built.")
+    message(WARNING "asciidoc and/or source-highlight not found. HTML documentation will *NOT* be built.")
 endif(ASCIIDOC_EXECUTABLE AND SOURCE_HIGHLIGHT_EXECUTABLE)
