=== debian/changelog ===
avro-c (1.11.1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:42:32 +0200

avro-c (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * debian/gbp.conf: [DEFAULT] Set default-branch, upstream-branch
  * debian/watch: Update download URL to
    https://dlcdn.apache.org/avro/stable/c/
  * debian/upstream/signing-key.asc: Refresh from
    https://dist.apache.org/repos/dist/release/avro/KEYS
  * debian/patches/0005-CMakeLists.txt-src-CMakeLists.txt-Correctly-set-
    VERS.patch: Remove (applied upstream)
  * debian/patches: Rebase patches
  * debian/patches/0003-src-CMakeLists.txt-Install-to-correct-library-
    direct.patch: Remove (applied upstream)
  * debian/source/lintian-overrides: Add override for source-is-missing
    [docs/index.html]
  * debian/control: Bump Standards-Version to 4.6.2 (no changes)
  * debian/: Bump debhelper compat level from 10 to 13
  * debian/source/patch-header: Remove
  * debian/source/local-options: Remove 'single-debian-patch'
  * debian/control: Remove version constraint for libjansson-dev
    dependency (o-o-stable has 2.9-1)
  * debian/control: Mark libavro23 'Multi-Arch: same'
  * debian/: Install static library into libavro-dev package

 -- Robert Edmonds <edmonds@debian.org>  Wed, 21 Dec 2022 17:39:31 -0500
