=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: avro-c
 Priority: optional
-Maintainer: Robert Edmonds <edmonds@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Edmonds <edmonds@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  cmake,
- libjansson-dev (>= 2.3),
+ libjansson-dev,
  liblzma-dev,
  libsnappy-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Section: devel
 Homepage: https://avro.apache.org
 Vcs-Git: https://salsa.debian.org/edmonds/avro-c.git
@@ -19,7 +20,7 @@
 Section: libdevel
 Architecture: any
 Depends: libavro23 (= ${binary:Version}), ${misc:Depends}
-Description: Apache Avro C library headers (avro-c)
+Description: Apache Avro C static library and headers (avro-c)
  Apache Avro is a data serialization system. Avro provides rich data
  structures; a binary data format; and a container file format, to store
  Avro-encoded data persistently.
@@ -39,6 +40,7 @@
 Package: libavro23
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Apache Avro C shared library (avro-c)
  Apache Avro is a data serialization system. Avro provides rich data
