=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog
