=== debian/watch ===
version=4
opts="pgpmode=auto" https://dlcdn.apache.org/avro/stable/c/ avro-c-(.+)\.tar\.gz
