## avro-c 1.12.0

=== debian/changelog ===
avro-c (1.12.0-3) unstable; urgency=medium

  * Add autopkgtest that runs test suite from upstream.
  * d/control: add myself in uploaders.

 -- Shengqi Chen <harry@debian.org>  Thu, 20 Feb 2025 20:24:55 +0800

avro-c (1.12.0-2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: import patch to fix memory alignment issues
    (closes: #881740)

 -- Shengqi Chen <harry@debian.org>  Thu, 20 Feb 2025 15:28:46 +0800

avro-c (1.12.0-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable. 

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Feb 2025 22:26:49 +0800

avro-c (1.12.0-1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add symbol control file for libavro23 @ 1.11.1
  * New upstream version 1.12.0 (closes: #1074832, #1095941)
    + bump SONAME to libavro24
  * d/patches:
    + refresh existing patches, add DEP-3 metadata to patches
    + add a patch to disable a flaky test due to missing file
  * d/{control, rules}: use ninja as cmake backend
  * d/control:
    + replace obsolete B-D name (pkg-config -> pkgconf)
    + bump std-ver to 4.7.0 (no changes required)
    + add Multi-Arch: same to libavro-dev
    + change vcs address due to repo move

 -- Shengqi Chen <harry@debian.org>  Sun, 16 Feb 2025 21:08:09 +0800
