=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: avro-c
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Edmonds <edmonds@debian.org>
+Maintainer: Robert Edmonds <edmonds@debian.org>
+Uploaders: Shengqi Chen <harry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
+ ninja-build,
  libjansson-dev,
  liblzma-dev,
  libsnappy-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: devel
 Homepage: https://avro.apache.org
-Vcs-Git: https://salsa.debian.org/edmonds/avro-c.git
-Vcs-Browser: https://salsa.debian.org/edmonds/avro-c
+Vcs-Git: https://salsa.debian.org/debian/avro-c.git
+Vcs-Browser: https://salsa.debian.org/debian/avro-c
 
 Package: libavro-dev
 Section: libdevel
 Architecture: any
-Depends: libavro23 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends: libavro24 (= ${binary:Version}), ${misc:Depends}
 Description: Apache Avro C static library and headers (avro-c)
  Apache Avro is a data serialization system. Avro provides rich data
  structures; a binary data format; and a container file format, to store
@@ -37,7 +39,7 @@
  .
  This package contains the development files.
 
-Package: libavro23
+Package: libavro24
 Section: libs
 Architecture: any
 Multi-Arch: same
