=== debian/tests/control ===
Tests: upstream-test-suite
Restrictions: allow-stderr
Depends: @, build-essential, pkgconf, cmake, ninja-build,
         valgrind [amd64 arm64 armhf i386 mips64el ppc64 ppc64el s390x]
